Package com.sas.lsaf.workflow.element

## Enum Element.ElementType

- java.lang.Object
- - java.lang.Enum<Element.ElementType>
  - - com.sas.lsaf.workflow.element.Element.ElementType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Element.ElementType>`
  Enclosing class:
    Element

      public static enum Element.ElementType
      extends java.lang.Enum<Element.ElementType>

  The types of the flow elements.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END` | An event that represents the end of the process flow.
    `EVENT_GATEWAY` | An element that represents a wait state.
    `INTERMEDIATE_CATCH_SIGNAL_EVENT` | An element that represents a wait state.
    `INTERMEDIATE_CATCH_TIMER_EVENT` | An element that represents a wait state.
    `START` | An event that represents the start of the process flow.
    `SYSTEM_JOB_EXEC` | A task that runs a job and waits until the job completes before the process flow continues.
    `SYSTEM_JOB_EXEC_NO_WAIT` | A task that runs a job and continues the process flow without waiting for the job to complete.
    `SYSTEM_NOTIFICATION` | A task that sends a notification to specific recipients.
    `TERMINATE_END` | An element that represents the termination of the process flow.
    `USER_TASK` | A task that is performed by a user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Element.ElementType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Element.ElementType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYSTEM_JOB_EXEC

          public static final Element.ElementType SYSTEM_JOB_EXEC

      A task that runs a job and waits until the job completes before the process flow continues.

    - #### SYSTEM_JOB_EXEC_NO_WAIT

          public static final Element.ElementType SYSTEM_JOB_EXEC_NO_WAIT

      A task that runs a job and continues the process flow without waiting for the job to complete.

    - #### SYSTEM_NOTIFICATION

          public static final Element.ElementType SYSTEM_NOTIFICATION

      A task that sends a notification to specific recipients.

    - #### USER_TASK

          public static final Element.ElementType USER_TASK

      A task that is performed by a user.

    - #### EVENT_GATEWAY

          public static final Element.ElementType EVENT_GATEWAY

      An element that represents a wait state. It is typically followed by two or more intermediate catch events, such as timer or signal events that cause the process flow to continue.

    - #### INTERMEDIATE_CATCH_SIGNAL_EVENT

          public static final Element.ElementType INTERMEDIATE_CATCH_SIGNAL_EVENT

      An element that represents a wait state. A signal event waits for a signal with that name, and the signal event causes the process flow to continue.

    - #### INTERMEDIATE_CATCH_TIMER_EVENT

          public static final Element.ElementType INTERMEDIATE_CATCH_TIMER_EVENT

      An element that represents a wait state. A timer event waits for a specific amount of time to elapse before the process flow continues.

    - #### TERMINATE_END

          public static final Element.ElementType TERMINATE_END

      An element that represents the termination of the process flow. If this is element is reached, the process flow will end leaving in a completed state.

    - #### START

          public static final Element.ElementType START

      An event that represents the start of the process flow.

    - #### END

          public static final Element.ElementType END

      An event that represents the end of the process flow.

  - ### Method Detail

    - #### values

          public static Element.ElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Element.ElementType c : Element.ElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Element.ElementType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null